aboutsummaryrefslogtreecommitdiff
path: root/git-applypatch.sh
diff options
context:
space:
mode:
Diffstat (limited to 'git-applypatch.sh')
-rwxr-xr-xgit-applypatch.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/git-applypatch.sh b/git-applypatch.sh
index fd594ed4e..9f5a45bb2 100755
--- a/git-applypatch.sh
+++ b/git-applypatch.sh
@@ -108,9 +108,10 @@ fi
tree=$(git-write-tree) || exit 1
echo Wrote tree $tree
-commit=$(git-commit-tree $tree -p $(cat "$GIT_DIR"/HEAD) < "$final") || exit 1
+parent=$(git-rev-parse --verify HEAD) &&
+commit=$(git-commit-tree $tree -p $parent <"$final") || exit 1
echo Committed: $commit
-echo $commit > "$GIT_DIR"/HEAD
+git-update-ref HEAD $commit $parent || exit
if test -x "$GIT_DIR"/hooks/post-applypatch
then